function::speculate
Prev | Chapter 32. Speculation | Next

## Name

function::speculate — Store a string for possible output later

## Synopsis

        speculate(id:long,output:string)

## Arguments

`id`

  buffer id to store the information in

`output`

  string to write out when commit occurs

## Description

Add a string to the speculaive buffer for id.

Prev | Up | Next
function::discard | Home | function::speculation